$(function(){

	calc();

	$('#calc_plan').on('change', calc);
	$('#inv_amount').bind('change keyup', calc).on('keypress', isNumberKey);

});

function isNumberKey(evt) {
	var charCode = (evt.which) ? evt.which : event.keyCode;
	if (charCode > 31 && (charCode < 48 || charCode > 57))
		return false;
	return true;
}

function calc() {

	var plan = $('#calc_plan').val();
	var amount = $('#inv_amount').val();
	var percent;

	switch (plan) {
		case '1':
			switch (true) {
				case (amount<10):
					percent = 100;
					break;
				case (amount<=200):
					percent = 103;
					break;
				case (amount<=500):
					percent = 106;
					break;
				case (amount<=1000):
					percent = 107;
					break;
				case (amount<=3000):
					percent = 108;
					break;
				case (amount<=5000):
					percent = 115;
					break;
				default:
					percent = 130;
			}
			break;
		case '2':
			switch (true) {
				case (amount<10):
					percent = 100;
					break;
				case (amount<=200):
					percent = 122;
					break;
				case (amount<=500):
					percent = 126;
					break;
				case (amount<=1000):
					percent = 130;
					break;
				case (amount<=3000):
					percent = 134;
					break;
				case (amount<=5000):
					percent = 200;
					break;
				default:
					percent = 300;
			}
			break;
		case '3':
			switch (true) {
				case (amount<10):
					percent = 100;
					break;
				case (amount<=200):
					percent = 142;
					break;
				case (amount<=500):
					percent = 149;
					break;
				case (amount<=1000):
					percent = 156;
					break;
				case (amount<=3000):
					percent = 163;
					break;
				case (amount<=5000):
					percent = 400;
					break;
				default:
					percent = 750;
			}
			break;
		case '4':
			switch (true) {
				case (amount<10):
					percent = 100;
					break;
				case (amount<=200):
					percent = 204;
					break;
				case (amount<=500):
					percent = 220;
					break;
				case (amount<=1000):
					percent = 236;
					break;
				case (amount<=3000):
					percent = 252;
					break;
				case (amount<=5000):
					percent = 905;
					break;
				default:
					percent = 1850;
			}
			break;
		case '5':
			switch (true) {
				case (amount<10):
					percent = 100;
					break;
				case (amount<=200):
					percent = 317;
					break;
				case (amount<=500):
					percent = 348;
					break;
				case (amount<=1000):
					percent = 379;
					break;
				case (amount<=3000):
					percent = 450;
					break;
				case (amount<=5000):
					percent = 1800;
					break;
				default:
					percent = 3875;
			}
			break;
	}

	$('#assign_per').val(percent+'%');
	var total = amount*percent/100;
	$('#total_return').val(total+'$');
	$('#net_profit').val((total-amount).toFixed(2)+'$');

}